# Incidenční matice

## Pro neorientovaný graf

**Definice**: Nechť $G$ je **neorientovaný graf** s vrcholy $V = \{v_{1}, \dots, v_{n}\}$ a hranami $E = \{e_{1}, \dots, e_{m}\}$. Matice $M(G)$ typu $n/m$ definovaná předpisem

$m_{i,j} = \begin{cases} 1, \text{ jestliže } v_{i} \in e_{j}, \\ 0 \text{ jinak} \end{cases}$

se nazývá **vrcholově-hranová incidenční matice** grafu $G$.

## Pro orientovaný graf

**Definice**: Nechť $\vec{G}$ je **orientovaný graf** s vrcholy $V = \{v_{1}, \dots, v_{n}\}$ a hranami $E = \{e_{1}, \dots, e_{m}\}$. Předpokládáme, že graf $\vec{G}$ **neobsahuje smyčky** (hrany $x, x$). Matice $M(\vec{G})$ typu $n/m$ definovaná předpisem

$m_{i,j} = \begin{cases} 1 \rule{1cm}{0pt} \text{pokud hrana } e_{j} \text{ začíná ve vrcholu } v_{i}\\-1 \rule{.6cm}{0pt} \text{pokud hrana } e_{j} \text{ končí ve vrcholu } v_{i}\\0 \rule{.85cm}{0pt} \text{ jinak (} e_{j} \text{ nekoliduje s } v_{i}\text{)} \end{cases}$

se nazývá **vrcholově-hranová incidenční matice** orientovaného grafu $\vec{G}$.
- n-tý řádek je n-tý vrchol a jednotlivé sloupce určují začátek ($+1$) nebo konec ($-1$) hrany v tomto vrcholu

### Vlastnosti

**Tvrzení**: Množina $l$ řádků matice $M(\vec{G}), l \leq n$, je lineárně závislá právě tehdy, když existuje její neprázdná podmnožina mající nulový součet.

**Věta**: Je-li $\vec{G}$ slabě souvislý graf bez smyček, pak $\text{hod}(M(\vec{G})) = n-1$.
- V každém sloupci matice $M(\vec{G})$ je právě **jeden prvek +1** a **jeden prvek -1** $\implies$ součtem všech řádků matice $M(\vec{G})$ dostaneme nulový řádek.
- Tedy řádky jsou LZ a $\text{hod}(M(\vec{G})) < n$.

**Důsledek**: Je-li graf $\vec{G}$ bez smyček s $k$ komponentami (v jeho symetrizaci), potom $\text{hod}(M(\vec{G})) = n-k$.

### Redukovaná incidenční matice

Matici $M_{R}(\vec{G})$ vzniklou z matice $M(\vec{G})$ vypuštěním posledního řádku se nazývá **redukovaná incidenční matice orientovaného grafu** $\vec{G}$.

# Totální unimodularita

**Definice**: Matice $A$ je totálně unimodulární, pokud determinant libovolné čtvercové podmatice je $0, +1, -1$, tedy matice $A$ má pouze prvky $0, \pm1$.

**Věta**: Incidenční matice $M(\vec{G})$ orientovaného grafu $\vec{G}$ je totálně unimodulární.