# Determinant matice

## Permutace

Vzájemně jednoznačné zobrazení konečné množiny na sebe.

$$
\pi_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
5 & 3 & 2 & 1 & 4
\end{pmatrix} \qquad \pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 4 & 3 & 1 & 5
\end{pmatrix}
$$

Můžeme je skládat (stejně jako funkce):

$$
\pi_{1} \circ \pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
5 & 3 & 4 & 2 & 1
\end{pmatrix} \qquad \pi_{2} \circ \pi_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 3 & 2 & 5 & 4
\end{pmatrix}
$$

### Transpozice

Permutace $\pi$, pro kterou existují $i, j$ takové, že $\pi(i) = j, \pi(j) = i$ a $\pi(k) = k$ pro všechna $k \neq i, j$.
- v transpozici dojde pouze k **prohození dvou prvků**

$$
J_{1} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 4 & 3 & 2 & 5
\end{pmatrix} \qquad J_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 1 & 3 & 4 & 5
\end{pmatrix}
$$

Každá **permutace** se dá vyjádřit jako složení **konečného počtu transpozic**.

$$
\pi_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 4 & 3 & 1 & 5
\end{pmatrix} = J_{1} \circ J_{2} = \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
1 & 4 & 3 & 2 & 5
\end{pmatrix} \circ \begin{pmatrix}
1 & 2 & 3 & 4 & 5 \\
2 & 1 & 3 & 4 & 5
\end{pmatrix}
$$

Znázornění jednotlivých transpozic (směrem dolů):

$$
\downarrow \quad \begin{matrix}
\text{začátek} & 1 & 2 & 3 & 4 & 5 \\
J_{1} & 1 & \mathbf{4} & 3 & \mathbf{2} & 5\\
J_{2} & \mathbf{2} & 4 & 3 & \mathbf{1} & 5
\end{matrix}
$$

Permutace je **sudá nebo lichá** podle sudého nebo lichého počtu transpozic.
- **Znaménko permutace** $\pi$ je pak číslo
  
	$$
    zn(\pi) = \begin{cases}1, \text{je-li } \pi \text{ sudá} \\ -1, \text{je-li } \pi \text{ lichá}\end{cases}
	$$
- Znaménko permutace vzniklé složením dvou permutací se rovná součinu znamének každé permutace.
	- $zn(\pi_1 \circ \pi_{2}) = zn(\pi_{1}) \cdot zn(\pi_{2})$

## Determinant

**Determinantem** čtvercové matice $A = [a_{ij}]$ řádu $n$ nazveme číslo

$$\det(A) = \sum_{\pi}^{} zn(\pi)a_{1\pi(1)}a_{2\pi(2)}\dots a_{n\pi(n)}$$

kde sčítáme přes všechny permutace na množině $\{1, 2, \dots, n\}$.

- determinant je suma všech permutací vzniklých z diagonálního řádku matice, kde sudá permutace je s kladným znaménkem a lichá se záporným
- v součinu prvků v definici determinantu je z každého řádku a z každého sloupce vybrán právě jeden prvek
- $det(A) = det(A^{T})$

#### Algebraický doplněk matice

Subdeterminant (minor) vzniklý z matice vynecháním $i$-tého řádku a $j$-tého sloupce.
- $(-1)^{i+j} \det A[\cancel{i/j}]$