# Kvadratické formy a reálné symetrické matice, kriteria definitnosti matic
## Kvadratická forma
- matice **A** je reálná symetrická matice řádu $n$
- kvadratická forma určená maticí **A** je zobrazení $\kappa(\vec{x}) = \vec{x}^{T}A\vec{x}$
- Nechť **A** je reálná symetrická matice. Potom
	1. všechna vlastní čísla matice **A** jsou reálná;
		- **DK**: Nechť $\lambda \in \mathbb{C}$ je vlastním číslem matice **A** s vl. vektorem $\vec{u}$. Tedy $A \cdot \vec{u} = \lambda \cdot \vec{u}$.
		- platí:
			$$\vec{u}^T \cdot A \cdot \overline{\vec{u}} = \vec{u}^T \cdot (A \cdot \overline{\vec{u}}) = \vec{u}^T \cdot (\overline{A} \cdot \overline{\vec{u}}) = \vec{u}^T \cdot \overline{\lambda} \cdot \overline{\vec{u}} = \overline{\lambda} \cdot \vec{u}^T \cdot \overline{\vec{u}} = \overline{\lambda} \cdot (\vec{u}, \overline{\vec{u}})$$
			$$\vec{u}^T \cdot A \cdot \overline{\vec{u}} = \vec{u}^T \cdot A^T \cdot \overline{\vec{u}} = (A \cdot \vec{u})^T \cdot \overline{\vec{u}} = (\lambda \cdot \vec{u})^T \cdot \overline{\vec{u}} = \lambda \cdot \vec{u}^T \cdot \overline{\vec{u}} = \lambda \cdot (\vec{u}, \overline{\vec{u}})$$
			$$\implies \lambda = \overline{\lambda} \implies \lambda \in \mathbb{R} \qquad \vec{u} \neq \vec{o}$$
	1. ke každému vlastnímu číslu existuje **reálný vlastní vektor**;
		- **DK**: $A- \lambda I$ je reální singulární $\implies \exists$ nenulové reálné řešení 
	2. vlastní vektory příslušející různým vlastním číslům **jsou ortogonální**.
		- **DK**: Nechť $\lambda_{1}, \lambda_{2}$ jsou různá vl. čísla s vl. vektory $\vec{u}_{1}, \vec{u}_{2}$.
		- platí: 
			$$\vec{u}_{1}^T \cdot A \cdot \vec{u}_{2} = \vec{u}_{1}^T \cdot \lambda_{2} \cdot \vec{u}_{2} = \lambda_{2} \cdot \vec{u}_{1}^T \cdot \vec{u}_{2} = \lambda_{2} \cdot (\vec{u}_{1}, \vec{u}_{2})$$
			$$\vec{u}_{1}^T \cdot A \cdot \vec{u}_{2} = \vec{u}_{1}^T \cdot A^T \cdot \vec{u}_{2} = (A \cdot \vec{u}_{1})^T \cdot \vec{u}_{2} = \lambda_{1} \cdot \vec{u}_{1}^T \cdot \vec{u}_{2} = \lambda_{1} \cdot (\vec{u}_{1}, \vec{u}_{2})$$
			$$\text{protože } \lambda_{1} \neq \lambda_{2} \implies (\vec{u}_{1}, \vec{u}_{2}) = 0 \implies \vec{u}_{1} \perp \vec{u}_{2}$$
- Reálná symetrická matice **A** řádu $n$ má $n$ ortogonálních reálných vlastních vektorů.

## Definitnost kvadratické formy (Sylvesterovo kriterium)

- Nechť **A** je reálná symetrická matice řádu $n$ s hlavními minory $\Delta _{1}, \Delta _{2}, \dots, \Delta _{n} \neq 0$.
- Kvadratická forma $\kappa(\vec{x}) = \vec{x}^{T}A\vec{x}$ je **pozitivně definitní**, jestliže $\Delta _{i} > 0$ pro každé i z $\{1, 2, \dots, n\}$.
- Kvadratická forma $\kappa(\vec{x}) = \vec{x}^{T}A\vec{x}$ je **negativně definitní**, jestliže $\Delta _{i} > 0$ pro každé i z $\{1, 2, \dots, n\}$ sudé a $\Delta _{i} < 0$ pro každé i z $\{1, 2, \dots, n\}$ liché.