# Nekonečné číselné řady
- máme posl. ($a_n$), nekonečná řada je symbol:
    - $\displaystyle\sum_{n=1}^{+\infty} a_n = a_1 + a_2 + a_3 + ...$
- posloupnost číselných součtů ($a_n$) posloupnosti ($a_n$) je:
    - ($s_n$) $= a_1 + a_2 + ... + a_n = \displaystyle\sum_{k=1}^{n} a_k$
- existuje-li limita (vlastní, nevlastní) $\displaystyle{\lim_{n \to +\infty}} s_n = s$ potom říkáme, že řada $\displaystyle\sum_{n=1}^{+\infty} a_n$ má součet (vlastní / nevlastní) a píšeme:
    $\displaystyle\sum_{n=1}^{+\infty} a_n = s$
- poznámka:
    - řada = operace nekonečného sčítání (posloupnosti)
    - u většiny posloupností **neumíme rozumně nalézt $s_n$ a následně ani $s$**, ale **často rozumíme rozhodnout** o tom **jestli $s$ existuje konečné**
- výjimky:
    - konstatní řady
    - aritmetické řady
    - geometrické řady
    - posloupnosti částečných součtů geometrické řady
    - nekonečný součet geometrické řady

## Konvergentní a divergentní řady
- mějme řadu $\displaystyle\sum_{n=1}^{+\infty} a_n$ a její posloupnost částečných součů ($s_n$), řada je:
    - a) konvergentní, pokud ($s_n$) konverguje
    - b) divergentní, pokud ($s_n$) diverguje
    - c) divergentní k $\pm\infty$, pokud ($s_n$) diverguje k $\pm\infty$

## Operace s řadami, které mají součet
- $\displaystyle\sum_{n=1}^{+\infty} (\alpha * a_n + \beta * b_n) = \alpha*A + \beta*B$